%define gtk2_version 2.8.0
%define gnome_print_version 2.8.0

%define po_package gtksourceview-1.0

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A library for viewing source files
Name: 		gtksourceview1
Version:	1.8.5
Release: 	1
License: 	GPL
Group: 		System/Libraries
URL: 		http://gtksourceview.sourceforge.net/ 
Source0: 	http://ftp.gnome.org/pub/gnome/sources/gtksourceview/1.8/gtksourceview-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	libgnomeprint-devel >= %{gnome_print_version}
BuildRequires: 	libgnomeprintui-devel >= %{gnome_print_version}
BuildRequires: 	intltool >= 0.35
BuildRequires: 	gettext 

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x
text widget GtkTextView. It improves GtkTextView by implementing 
syntax highlighting and other features typical of a source code editor.

%package devel
Summary: 	Files to compile applications that use gtksourceview
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	gtk2+-devel >= %{gtk2_version} 
Requires: 	libgnomeprint-devel >= %{gnome_print_version}
Requires: 	libxml2-devel
Requires: 	pkgconfig

%description devel
gtksourceview-devel contains the files required to compile 
applications which use GtkSourceView.

%prep
%setup -q -n gtksourceview-%{version}

%build

%configure --disable-gtk-doc --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{po_package}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS MAINTAINERS ChangeLog
%{_datadir}/gtksourceview-1.0
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtksourceview-1.0
%{_datadir}/gtk-doc/html/gtksourceview
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.8.5-1
- Initial release